{#
LimeSurvey
Copyright (C) 2007-2017 The LimeSurvey Project Team / Louis Gac
All rights reserved.
License: GNU/GPL License v2 or later, see LICENSE.php
LimeSurvey is free software. This version may have been modified pursuant
to the GNU General Public License, and as distributed it includes or
is derivative of works licensed under the GNU General Public License or
other free or open source software licenses.
See COPYRIGHT.php for copyright notices and details.

(¯`·._.·(¯`·._.· Bootstrap Navigation Bar ·._.·´¯)·._.·´¯)

This file renders a typical bootstrap navigation bar.
See: https://getbootstrap.com/components/#navbar

For the survey navigator ("Next", "Back", etc.), see: navigation/navigator.twig
#}
{% if not aSurveyInfo.popupPreview %}
    {% set navClass = "bg-body-tertiary border-bottom border-secondary-subtle" %}
    {% set headPosition = 'fixed-top' %}

    <!-- Bootstrap Navigation Bar -->
    {# ShowMenu used for navbar-toggler and navbar-collapse #}
    {% set ShowMenu = (aSurveyInfo.aNavigator.load.show or aSurveyInfo.aNavigator.save.show )
        or ((aSurveyInfo.bShowClearAll == true or aSurveyInfo.bShowClearAll == null) and aSurveyInfo.options.showclearall == 'on')
        or (aSurveyInfo.aQuestionIndex.bShow == true and aSurveyInfo.format != 'A')
        or (aSurveyInfo.alanguageChanger.show)
    %}
    {% if headPosition == 'fixed-top' %}
        <div class="d-flex flex-wrap justify-content-center avbar-expand-md  invisible {{ navClass }}" aria-hidden="true">
            <div class="container-fluid  position-relative">
                {% if ShowMenu %}
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar"
                            aria-controls="small-screens-menus" aria-expanded="false">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                {% endif %}
                {# Logo option #}
                {% if( aSurveyInfo.options.brandlogo == "on") %}
                    <div class="navbar-brand logo-container d-none d-md-block">
                        {{ image(aSurveyInfo.options.brandlogofile, aSurveyInfo.name, {"class": "logo img-fluid"}) }}
                    </div>
                {% else %}
                    <div class="navbar-brand">
                        {{ aSurveyInfo.name }}
                    </div>
                {% endif %}
                {% if ShowMenu %}
                    <div id="navbar" class="collapse navbar-collapse navbar-nav-scroll pt-2">
                        <ul class="nav navbar-nav navbar-action-link navbar-right ms-auto">
                            {{ include('./subviews/navigation/save_links.twig') }}
                            {{ include('./subviews/navigation/clearall_links.twig') }}
                            {{ include('./subviews/navigation/question_index_menu.twig') }}
                            {{ include('./subviews/navigation/language_changer_top_menu.twig') }}
                        </ul>
                    </div>
                {% endif %}
            </div>
        </div>
    {% endif %}
    <header class="d-flex flex-wrap justify-content-center navbar-expand-md {{ navClass }} {{ headPosition }}">
        <div class="container-fluid  position-relative">
            {{ include('./subviews/navigation/shortcuts_links.twig') }}
            {% if ShowMenu %}
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar"
                        aria-controls="small-screens-menus" aria-expanded="false">
                    <span class="navbar-toggler-icon"></span>
                </button>
            {% endif %}
            {# Logo option #}
            {% if( aSurveyInfo.options.brandlogo == "on") %}
                <div class="navbar-brand logo-container d-none d-md-block">
                    {{ image(aSurveyInfo.options.brandlogofile, aSurveyInfo.name, {"class": "logo img-fluid"}) }}
                </div>
            {% else %}
                <div class="navbar-brand">
                    {{ aSurveyInfo.name }}
                </div>
            {% endif %}
            {% if ShowMenu %}
                <div id="navbar" class="collapse navbar-collapse navbar-nav-scroll pt-2">
                    <ul class="nav navbar-nav navbar-action-link navbar-right ms-auto">
                        {{ include('./subviews/navigation/save_links.twig') }}
                        {{ include('./subviews/navigation/clearall_links.twig') }}
                        {{ include('./subviews/navigation/question_index_menu.twig') }}
                        {{ include('./subviews/navigation/language_changer_top_menu.twig') }}
                    </ul>
                </div>
            {% endif %}
        </div>
    </header>
{% endif %}


